This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983575 - Disallow or warn if full_name_format is set to a non-default value when IPA server mode is on
Disallow or warn if full_name_format is set to a non-default value when IPA s...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-System_Level_Authentication_Guide (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Aneta Šteflová Petrová
Kaushik Banerjee
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 09:48 EDT by Dmitri Pal
Modified: 2015-03-10 08:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-10 08:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-07-11 09:48:00 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2009

If the IPA server mode is on and the SSSD is running on the IPA server, then the server's extdom plugin calls getpwnam_r to read info about trusted users from the AD server and return them to the clients that called the extended operation.

The SSSD returns the subdomain users fully-qualified, ie "user@domain" by default. The format of the fully qualified name is configurable.

However, the extdom plugin returns the user name without the domain component.

We have a couple of options:
 * when ipa_server_mode is on, return the usernames non-qualified.
 * when ipa_server_mode is on, warn if the full_name_format is set to a non-default value. That would prompt the admin to change the format if he changed it to something exotic.

I think the second option sounds better.
Comment 4 Aneta Šteflová Petrová 2015-02-16 08:40:24 EST
I corrected the typo that Steeve found during the QA review.
Comment 6 Steeve Goveas 2015-02-16 10:12:01 EST
Document verified

Note You need to log in before you can comment on or make changes to this bug.